<?php
/**
* Social profiles options
*
* @package GridMini WordPress Theme
* @copyright Copyright (C) 2023 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridmini_social_profiles($wp_customize) {

    $wp_customize->add_section( 'gridmini_section_social', array( 'title' => esc_html__( 'Social Links Options', 'gridmini' ), 'panel' => 'gridmini_main_options_panel', 'priority' => 240, ));

    $wp_customize->add_setting( 'gridmini_options[hide_header_social_buttons]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmini_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmini_hide_header_social_buttons_control', array( 'label' => esc_html__( 'Hide Social Area', 'gridmini' ), 'description' => esc_html__('If you checked this option, all buttons will disappear. There is no any effect from these options: "Hide Search Button", "Show Login/Logout Button".', 'gridmini'), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[hide_header_social_buttons]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridmini_options[hide_search_button]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmini_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmini_hide_search_button_control', array( 'label' => esc_html__( 'Hide Search Button', 'gridmini' ), 'description' => esc_html__('This option has no effect if you have checked the option: "Hide Social Area".', 'gridmini'), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[hide_search_button]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridmini_options[show_login_button]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmini_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmini_show_login_button_control', array( 'label' => esc_html__( 'Show Login/Logout Button', 'gridmini' ), 'description' => esc_html__('This option has no effect if you have checked the option: "Hide Social Area".', 'gridmini'), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[show_login_button]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridmini_options[twitterlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_twitterlink_control', array( 'label' => esc_html__( 'X URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[twitterlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[facebooklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_facebooklink_control', array( 'label' => esc_html__( 'Facebook URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[facebooklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[threadslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_threadslink_control', array( 'label' => esc_html__( 'Threads URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[threadslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[pinterestlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_pinterestlink_control', array( 'label' => esc_html__( 'Pinterest URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[pinterestlink]', 'type' => 'text' ) );
    
    $wp_customize->add_setting( 'gridmini_options[linkedinlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_linkedinlink_control', array( 'label' => esc_html__( 'Linkedin Link', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[linkedinlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[instagramlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_instagramlink_control', array( 'label' => esc_html__( 'Instagram Link', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[instagramlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[vklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_vklink_control', array( 'label' => esc_html__( 'VK Link', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[vklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[flickrlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_flickrlink_control', array( 'label' => esc_html__( 'Flickr Link', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[flickrlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[youtubelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_youtubelink_control', array( 'label' => esc_html__( 'Youtube URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[youtubelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[vimeolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_vimeolink_control', array( 'label' => esc_html__( 'Vimeo URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[vimeolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[soundcloudlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_soundcloudlink_control', array( 'label' => esc_html__( 'Soundcloud URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[soundcloudlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[messengerlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_messengerlink_control', array( 'label' => esc_html__( 'Messenger URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[messengerlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[whatsapplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_whatsapplink_control', array( 'label' => esc_html__( 'WhatsApp URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[whatsapplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[tiktoklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_tiktoklink_control', array( 'label' => esc_html__( 'TikTok URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[tiktoklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[lastfmlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_lastfmlink_control', array( 'label' => esc_html__( 'Lastfm URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[lastfmlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[mediumlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_mediumlink_control', array( 'label' => esc_html__( 'Medium URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[mediumlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[githublink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_githublink_control', array( 'label' => esc_html__( 'Github URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[githublink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[bitbucketlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_bitbucketlink_control', array( 'label' => esc_html__( 'Bitbucket URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[bitbucketlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[tumblrlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_tumblrlink_control', array( 'label' => esc_html__( 'Tumblr URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[tumblrlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[digglink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_digglink_control', array( 'label' => esc_html__( 'Digg URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[digglink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[deliciouslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_deliciouslink_control', array( 'label' => esc_html__( 'Delicious URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[deliciouslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[stumblelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_stumblelink_control', array( 'label' => esc_html__( 'Stumbleupon URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[stumblelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[mixlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_mixlink_control', array( 'label' => esc_html__( 'Mix URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[mixlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[redditlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_redditlink_control', array( 'label' => esc_html__( 'Reddit URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[redditlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[dribbblelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_dribbblelink_control', array( 'label' => esc_html__( 'Dribbble URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[dribbblelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[flipboardlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_flipboardlink_control', array( 'label' => esc_html__( 'Flipboard URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[flipboardlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[bloggerlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_bloggerlink_control', array( 'label' => esc_html__( 'Blogger URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[bloggerlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[etsylink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_etsylink_control', array( 'label' => esc_html__( 'Etsy URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[etsylink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[behancelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_behancelink_control', array( 'label' => esc_html__( 'Behance URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[behancelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[amazonlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_amazonlink_control', array( 'label' => esc_html__( 'Amazon URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[amazonlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[meetuplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_meetuplink_control', array( 'label' => esc_html__( 'Meetup URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[meetuplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[mixcloudlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_mixcloudlink_control', array( 'label' => esc_html__( 'Mixcloud URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[mixcloudlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[slacklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_slacklink_control', array( 'label' => esc_html__( 'Slack URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[slacklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[snapchatlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_snapchatlink_control', array( 'label' => esc_html__( 'Snapchat URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[snapchatlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[spotifylink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_spotifylink_control', array( 'label' => esc_html__( 'Spotify URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[spotifylink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[yelplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_yelplink_control', array( 'label' => esc_html__( 'Yelp URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[yelplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[wordpresslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_wordpresslink_control', array( 'label' => esc_html__( 'WordPress URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[wordpresslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[twitchlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_twitchlink_control', array( 'label' => esc_html__( 'Twitch URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[twitchlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[telegramlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_telegramlink_control', array( 'label' => esc_html__( 'Telegram URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[telegramlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[bandcamplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_bandcamplink_control', array( 'label' => esc_html__( 'Bandcamp URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[bandcamplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[quoralink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_quoralink_control', array( 'label' => esc_html__( 'Quora URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[quoralink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[foursquarelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_foursquarelink_control', array( 'label' => esc_html__( 'Foursquare URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[foursquarelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[deviantartlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_deviantartlink_control', array( 'label' => esc_html__( 'DeviantArt URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[deviantartlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[imdblink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_imdblink_control', array( 'label' => esc_html__( 'IMDB URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[imdblink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[codepenlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_codepenlink_control', array( 'label' => esc_html__( 'Codepen URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[codepenlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[jsfiddlelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_jsfiddlelink_control', array( 'label' => esc_html__( 'JSFiddle URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[jsfiddlelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[stackoverflowlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_stackoverflowlink_control', array( 'label' => esc_html__( 'Stack Overflow URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[stackoverflowlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[stackexchangelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_stackexchangelink_control', array( 'label' => esc_html__( 'Stack Exchange URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[stackexchangelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[bsalink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_bsalink_control', array( 'label' => esc_html__( 'BuySellAds URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[bsalink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[web500pxlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_web500pxlink_control', array( 'label' => esc_html__( '500px URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[web500pxlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[ellolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_ellolink_control', array( 'label' => esc_html__( 'Ello URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[ellolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[discordlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_discordlink_control', array( 'label' => esc_html__( 'Discord URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[discordlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[goodreadslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_goodreadslink_control', array( 'label' => esc_html__( 'Goodreads URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[goodreadslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[odnoklassnikilink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_odnoklassnikilink_control', array( 'label' => esc_html__( 'Odnoklassniki URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[odnoklassnikilink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[houzzlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_houzzlink_control', array( 'label' => esc_html__( 'Houzz URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[houzzlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[pocketlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_pocketlink_control', array( 'label' => esc_html__( 'Pocket URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[pocketlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[xinglink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_xinglink_control', array( 'label' => esc_html__( 'XING URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[xinglink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[mastodonlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_mastodonlink_control', array( 'label' => esc_html__( 'Mastodon URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[mastodonlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[googleplaylink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_googleplaylink_control', array( 'label' => esc_html__( 'Google Play URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[googleplaylink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[slidesharelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_slidesharelink_control', array( 'label' => esc_html__( 'SlideShare URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[slidesharelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[dropboxlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_dropboxlink_control', array( 'label' => esc_html__( 'Dropbox URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[dropboxlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[paypallink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_paypallink_control', array( 'label' => esc_html__( 'PayPal URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[paypallink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[viadeolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_viadeolink_control', array( 'label' => esc_html__( 'Viadeo URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[viadeolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[wikipedialink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_wikipedialink_control', array( 'label' => esc_html__( 'Wikipedia URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[wikipedialink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[skypeusername]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( 'gridmini_skypeusername_control', array( 'label' => esc_html__( 'Skype Username', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[skypeusername]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[emailaddress]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmini_sanitize_email' ) );

    $wp_customize->add_control( 'gridmini_emailaddress_control', array( 'label' => esc_html__( 'Email Address', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[emailaddress]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmini_options[rsslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmini_rsslink_control', array( 'label' => esc_html__( 'RSS Feed URL', 'gridmini' ), 'section' => 'gridmini_section_social', 'settings' => 'gridmini_options[rsslink]', 'type' => 'text' ) );

}